
#ifndef __LED_H
#define __LED_H

#include "FreeRTOS.h"
#include "queue.h"



extern xQueueHandle led_queue;
    /* Type of elements in queue. */
struct structLedQueueElem
{
    uint8_t opcode;
};


/** Message opcodes for LED task. */
#define LED_OPCODE_BLINK_NORMAL                 (1)
#define LED_OPCODE_BLINK_WARNING                (2)


/** LED task (keep-alive indicator). */
void led_task (void *pvParameters);
/** Init LED module (prepare task). */
void led_init_module (void);


#endif
