#ifndef __DSP_H__
#define __DSP_H__

#include <stdint.h>
#include <stdbool.h>

struct str_dsp_Descriptor16 {
    int16_t *sampleBuffer;
    int numSamples;
    int16_t *demodBuffer;
    int numDemodSamples;
    int mode;
    int gain;
    int rssi;
};
typedef struct str_dsp_Descriptor16 dsp_Descriptor16;


void dsp_demodSsb48 (dsp_Descriptor16 *descriptor);
void dsp_demodSsb48_asm (dsp_Descriptor16 *descriptor);
void dsp_demodAm48 (dsp_Descriptor16 *descriptor);

#endif
